package jp.gr.java_conf.akabeko.testgradientquality;

import android.app.Activity;
import android.content.Intent;
import android.graphics.PixelFormat;
import android.os.Bundle;
import android.widget.TextView;

/**
 * グラデーションを表示するための画面を表します。
 */
public class GradientActivity extends Activity {
	/**
	 * グラデーションを表すパラメータ。
	 */
	public static final String EXTRA_GRADIENT = "GRADIENT";

	/**
	 * 画面のピクセル品質を表すパラメータ。
	 */
	public static final String EXTRA_PIXEL_FORMAT = "PIXEL_FORMAT";

	/**
	 * 画面が作成される時に発生します。
	 *
	 * @param savedInstanceState 保存されたインスタンスの状態。
	 */
	@Override
	protected void onCreate( Bundle savedInstanceState ) {
		super.onCreate( savedInstanceState );
		this.setContentView( R.layout.gradient );

		Intent intent = this.getIntent();
		if( intent == null ) { return; }

		// ピクセル品質
		{
			int format = intent.getIntExtra( EXTRA_PIXEL_FORMAT, PixelFormat.RGB_565 );
			this.getWindow().setFormat( format );
			TextView view = ( TextView )this.findViewById( R.id.mode_pixel_format );

			switch( format ) {
			case PixelFormat.RGB_565:   view.setText( "RGB_565"   ); break;
			case PixelFormat.RGBA_8888: view.setText( "RGBA_8888" ); break;
			case PixelFormat.RGBA_4444: view.setText( "RGBA_4444" ); break;
			}
		}

		// グラデーション
		{
			int gradient = intent.getIntExtra( EXTRA_GRADIENT, 0 );
			this.findViewById( R.id.gradient_window ).setBackgroundResource( gradient );
		}
	}
}
